Bug 258286 - devel/gettext-tools: Support non-default PREFIX
Summary: devel/gettext-tools: Support non-default PREFIX
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Gerald Pfeifer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-09-05 12:17 UTC by Gerald Pfeifer
Modified: 2021-09-09 15:49 UTC (History)
0 users

See Also:
tijl: maintainer-feedback+
koobs: merge-quarterly?


Attachments
Proposed patch (one liner) (524 bytes, patch)
2021-09-05 12:17 UTC, Gerald Pfeifer
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald Pfeifer freebsd_committer 2021-09-05 12:17:07 UTC
Created attachment 227681 [details]
Proposed patch (one liner)

I am building a number of ports as user with a non-default prefix, which
generally works fine, but unearthed one issue with devel/gettext-tools.

We need USES=localbase to avoid a build failure:

  msgmerge.c:35:10: fatal error: 'textstyle.h' file not found
  #include <textstyle.h>
           ^~~~~~~~~~~~~
  1 error generated.
  *** [msgmerge-msgmerge.o] Error code 1


Are you okay for me to commit the attached patch?
Comment 1 Tijl Coosemans freebsd_committer 2021-09-05 16:53:51 UTC
Sure, go ahead.
Comment 2 Gerald Pfeifer freebsd_committer 2021-09-06 22:10:56 UTC
Thank you, Tijl! I plan on committing shortly...
Comment 3 commit-hook freebsd_committer 2021-09-07 15:56:13 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=8fbdcf31372717b09c55a4f6376f447e0b970dc1

commit 8fbdcf31372717b09c55a4f6376f447e0b970dc1
Author:     Gerald Pfeifer <gerald@FreeBSD.org>
AuthorDate: 2021-09-07 15:54:45 +0000
Commit:     Gerald Pfeifer <gerald@FreeBSD.org>
CommitDate: 2021-09-07 15:54:45 +0000

    devel/gettext-tools: Fix build with non-default prefix

    Building this port with a non-default prefix gives the following:

      msgmerge.c:35:10: fatal error: 'textstyle.h' file not found
      #include <textstyle.h>
               ^~~~~~~~~~~~~
      1 error generated.
      *** [msgmerge-msgmerge.o] Error code 1

    That is, textstyle.h is present in the appropriate location under
    our prefix, alas it's not found.

    USES=localbase addresses this.

    PR:             258286
    Approved by:    tijl (maintainer)

 devel/gettext-tools/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 4 Gerald Pfeifer freebsd_committer 2021-09-09 15:49:32 UTC
As the one originally running into this (and then proposing this change)
a merge to quarterly does not appear as high priority to me.

If someone wants to go for it, I do not see why not - just won't be
pursuing this myself.